#include "wlan.h"
#include <Arduino.h>
#include <DHT.h>

#define DHTTYPE DHT11
#define DHTPIN 4
DHT dht(DHTPIN, DHTTYPE);

const int fc28_pin = A0;
const int soil_threshold = 40;

void setup() {
  Serial.begin(9600);
  dht.begin();
  wlan_connection(60);
}

void loop() {
  int analog_val = analogRead(fc28_pin);
  int soil_percentage = map(analog_val, 0, 1023, 0, 100);
  char buffer[200];
  sprintf(buffer, "Temperature: %.2f°C Humidity: %.2f%% Soil humidity: %i%%",
          dht.readTemperature(), dht.readHumidity(), soil_percentage);
  Serial.println(buffer);
  delay(30000);
  enter_deep_sleep(false);
}
